#########################################################################################
# HelpYaBBC.pl v1.0                                                                     #
#########################################################################################
# YaBB: Yet another Bulletin Board                                                      #
# Open-Source Community Software for Webmasters                                         #
# Software Version: YaBB 1 Gold - SP1.1                                                 #
# Released: March 2002                                                                  #
# ======================================================================================#
# Software Distributed by:    http://www.yabbforum.com                                  #
# Support, News, Updates at:  http://www.yabbforum.com/community/                       #
# ======================================================================================#
# Copyright (c) 2000-2002 Xnull (www.yabbforum.com) - All Rights Reserved.              #
# Software by: The YaBB Development Team                                                #
#              with assistance from the YaBB community.                                 #
# ======================================================================================#
# YaBBC Help Script by Dummy Proof.							#
# http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl					#
#########################################################################################


sub mhelpy {
$yytitle = "YaBBC Help";
$yymain .= qq~
<center>
<table border=0 width="100%" cellspacing="0" cellpadding="0" bgcolor="$color{'bordercolor'}" class="bordercolor">
  <tr>
    <td>
    <table cellpadding="4" cellspacing="1" border="0" width="100%">
      <tr>
        <td bgcolor="$color{'titlebg'}" class="titlebg" align="center">
        <font class="text1" color="$color{'titletext'}" size="2"><b>YaBBC Guide</b></font></td>
      </tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"> <font size="2" class="catbg"><b>What is YaBBC Code\?</b></font></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
      <font size="2">YaBBC code is a set of tags based on the HTML language that you may already be familiar with. They allow you to add formatting to your messages in the same way as HTML does, but have a simpler syntax and will never break the layout of the pages you are viewing.
      <br><br>All YaBBC tags can be "automatically wrapped" around text with the desired formatting, by first "selecting" or "highlighting" the text, and then pressing a YaBBC Code button.<br>The exceptions to YaBBC tag "auto wrapping" are the <font color="red">[hr]</font>, <font color="red">[list]</font>, <font color="red">[table]</font>, <font color="red">[tr]</font> and <font color="red"> [td]</font> tags.</font>
      <br><br>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>URL Hyperlinking</b></font>\&nbsp\;<img src="$imagesdir/url.gif" border="0" align="middle" alt='$txt{'257'}'><img src="$imagesdir/ftp.gif" border="0" align="middle" alt='$txt{'434'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">If URL Autolinking is enabled in a forum, you can simply type in the full address of the page you are linking to, and the hyperlink will be created automatically. Here are some example links:
<ul>
  <li>http\://www.yabbforum.com/community</li>
  <li>www.yabbforum.com</li>
</ul>
Notice that if the address begins with <i>www.</i> you do not need to add the <i>http\://</i> part of the address. If the address does not begin with <i>www.</i> you will need to add the <i>http\://</i> section.
<br><br>If you want to include the YaBBC Code, you may simply surround the address with <font color="red">[url]</font> tags as shown below.<br>(The YaBBC Code tags are shown in <font color="red">red</font>).
<blockquote>
  <font color="red">[url]</font>http\://www.yabbforum.com<font color="red">[/url]</font>
</blockquote>
You can also include true hyperlinks using the <font color="red">[url]</font> tag. Just use the following format\:
<blockquote>
  <font color="red">[url=http\://www.yabbforum.com/community]</font>Click here to visit the YaBB Community Forums<font color="red">[/url]</font>
</blockquote>
This will produce a hyperlink like this\: <a href="http\://www.yabbforum.com/community" target="_blank">Click here to visit the YaBB Community Forums</a>.
<br><br>Note that once again, you need not include the <i>http\://</i> if the address begins <i>www.</i></font><br><font size="2"><br>The <font color="red">[ftp]</font> and <font color="red">[link]</font> YaBBC tags work in the same manner as the <font color="red">[url]</font> tags, with the exception that the <font color="red">[link]</font> tag(there is no insertion button for this tag) will open the clicked link in the present window, whereas the <font color="red">[url]</font> tag opens the clicked link in a new window.</font>
      <br><br>
	</td></tr>
      <tr><a name="imgcode"></a>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Adding Images</b></font>\&nbsp\;<img src="$imagesdir/img.gif" border="0" align="middle" alt='$txt{'435'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
To include a picture or graphic within the body of your message, you can simply surround the address of the image as shown here\:
<blockquote>
  <font color="red">[img]</font>$imagesdir/on.gif<font color="red">[/img]</font>
</blockquote>
Note that the <i>http\://</i> part of the image URL is required for the <font color="red">[img]</font> code.
You can even create a thumbnail-type hyperlink by surrounding your <font color="red">[img]</font> code with a <font color="red">[url]</font> code like this\:
<blockquote>
  <font color="red">[url=</font>$imagesdir/on.gif<font color="red">][img]</font>$imagesdir/on.gif<font color="red">[/img][/url]</font>
</blockquote>
This produces a link like this\: <a href="$imagesdir/on.gif" target="_blank"><img src="$imagesdir/on.gif" border="0" alt="0"></a>.
      <br><br>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Email Links</b></font>\&nbsp\;<img src="$imagesdir/email2.gif" border="0" align="middle" alt='$txt{'258'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">To add a link to an email address, you can simply include the email address in your message like this\:
<blockquote>
  myname\@domain.com
</blockquote>
Note that there must be a blank space, such as a space or a carriage return before the beginning of the address.
<br><br>You can also use YaBBC Code tags to specify an email address, like this\:
<blockquote>
  <font color="red">[email]</font>myname\@domain.com<font color="red">[/email]</font>
</blockquote>
You can also add a true email hyperlink using the following format\:
<blockquote>
  <font color="red">[email=myname\@domain.com]</font>Click here to email me<font color="red">[/email]</font>
</blockquote>
This will produce a hyperlink like this\: <a href="mailto\:myname\@domain.com">Click here to email me</a>.</font>
      <br><br>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Bold, Underlined, Italic, Strikethrough, Subscript, Superscript and Teletype Text</b></font>\&nbsp\;
        <img src="$imagesdir/bold.gif" border="0" align="middle" alt='$txt{'253'}'><img src="$imagesdir/underline.gif" border="0" align="middle" alt='$txt{'255'}'><img src="$imagesdir/italicize.gif" border="0" align="middle" alt='$txt{'254'}'><img src="$imagesdir/strike.gif" border="0" align="middle" alt='$txt{'441'}'><img src="$imagesdir/sub.gif" border="0" align="middle" alt='$txt{'448'}'><img src="$imagesdir/sup.gif" border="0" align="middle" alt='$txt{'447'}'><img src="$imagesdir/tele.gif" border="0" align="middle" alt='$txt{'440'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
You can make text bold, underlined or italicized by simply surrounding your text with tags as shown below\:
<ul>
  <li><font color="red">[b]</font>some text<font color="red">[/b]</font> produces <b>some text</b></li>
  <li><font color="red">[u]</font>some text<font color="red">[/u]</font> produces <u>some text</u></li>
  <li><font color="red">[i]</font>some text<font color="red">[/i]</font> produces <i>some text</i></li>
  <li><font color="red">[s]</font>some text<font color="red">[/s]</font> produces <s>some text</s></li>
  <li><font color="red">[sub]</font>some text<font color="red">[/sub]</font> produces <sub>some text</sub></li>
  <li><font color="red">[sup]</font>some text<font color="red">[/sup]</font> produces <sup>some text</sup></li>
  <li><font color="red">[tt]</font>some text<font color="red">[/tt]</font> produces <tt>some text</tt></li>
</ul>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Glow, Shadow and Marquee Text</b></font>\&nbsp\;<img src="$imagesdir/glow.gif" border="0" align="middle" alt='$txt{'442'}'><img src="$imagesdir/shadow.gif" border="0" align="middle" alt='$txt{'443'}'><img src="$imagesdir/move.gif" border="0" align="middle" alt='$txt{'439'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
You can make text have a glow effect, shadowed effect or have it scroll horizontally by simply surrounding your text with tags as shown below\:
<ul>
  <li><font color="red">[glow=red,2,300]</font>Glowing text<font color="red">[/glow]</font> produces: <TABLE style="FILTER: glow(color=red, strength=2)" width=300>Glowing text</TABLE></li>
  <li><font color="red">[shadow=red,left,300]</font>Shadowed text<font color="red">[/shadow]</font> produces: <TABLE style="FILTER: shadow(color=red, direction=left)" width=300>Shadowed text</TABLE></li>
  <li><font color="red">[move]</font>Marquee text<font color="red">[/move]</font> produces: <MARQUEE>Marquee text</MARQUEE></li>
</ul>
	</td></tr>
      <tr>
        <td class="catbg" valign=middle bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Using Different Sizes, Fonts and Colors</b></font>\&nbsp\;<img src="$imagesdir/size.gif" border="0" align="middle" alt='$txt{'532'}'><img src="$imagesdir/face.gif" border="0" align="middle" alt='$txt{'533'}'>\&nbsp\;<select name="color">
	<option value="Black">$txt{'262'}</option>
	<option value="Red">$txt{'263'}</option>
         <option value="Yellow">$txt{'264'}</option>
         <option value="Pink">$txt{'265'}</option>
         <option value="Green">$txt{'266'}</option>
         <option value="Orange">$txt{'267'}</option>
         <option value="Purple">$txt{'268'}</option>
         <option value="Blue">$txt{'269'}</option>
         <option value="Beige">$txt{'270'}</option>
         <option value="Brown">$txt{'271'}</option>
         <option value="Teal">$txt{'272'}</option>
         <option value="Navy">$txt{'273'}</option>
         <option value="Maroon">$txt{'274'}</option>
         <option value="LimeGreen">$txt{'275'}</option>
        </select>
        </td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
You can alter the size, color and font of text using the following tags\:
<ul>
  <li><font color="red">[color=blue]</font>some text<font color="red">[/color]</font> produces <font color="#0000FF">some text</font> (colored blue)</li>
  <li><font color="red">[size=4]</font>some text<font color="red">[/size]</font> produces <font size="4">some text</font> (size 4 text)</li>
  <li><font color="red">[font=courier]</font>some text<font color="red">[/font]</font> produces <font face="courier">some text</font> (using courier font)</li>
</ul>
You can also combine all the various text formatting tags. This example uses bold, underlined, purple  text\:
<blockquote>
  <font color="red">[color=purple][u][b]</font>Hey YaBBC is quite comprehensive!<font color="red">[/b][/u][/color]</font>
</blockquote>
This example produces this\:
<blockquote>
  <font color="purple"><b><u>Hey YaBBC is quite comprehensive!</u></b></font>
</blockquote>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Bulleted Lists</b></font>\&nbsp\;<img src="$imagesdir/list.gif" border="0" align="middle" alt='$txt{'261'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
You can create bulleted lists in the following way\:
<br><blockquote>
    <font color="red">[list]</font><br>
    <font color="red">[\*]</font>first bulleted item<br>
    <font color="red">[\*]</font>second bulleted item<br>
    <font color="red">[/list]</font>
</blockquote>
This produces\:
<ul>
  <li>first bulleted item</li>
  <li>second bulleted item</li>
</ul>
Note that you must remember to close the list with the <font color="red">[/list]</font> tag.
      <br><br>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Adding Tables</b></font>\&nbsp\;<img src="$imagesdir/table.gif" border="0" align="middle" alt='$txt{'436'}'><img src="$imagesdir/tr.gif" border="0" align="middle" alt='$txt{'437'}'><img src="$imagesdir/td.gif" border="0" align="middle" alt='$txt{'449'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
You can create Tabled data in the following way\:
<br><blockquote>
    <font color="red">[table] [tr] [td]</font>data1 row1 <font color="red">[/td] [td]</font>data2 row1 <font color="red">[/td] [/tr]</font><br>
    <font color="red">[tr] [td]</font>data1 row2 <font color="red">[/td] [td]</font>data2 row2 <font color="red">[/td] [/tr] [/table]</font><br>
</blockquote>
This produces\:</font>
<table><TR>
<TD><font size="2">data1 row1 </font></TD><TD><font size="2">data2 row1 </font></TD>
</TR><TR>
<TD><font size="2">data1 row2 </font></TD><TD><font size="2">data2 row2 </font></TD>
</tr></table><br><font size="2">
Note that you must insert a space between <font color="red">[table] [tr] [td]</font> tags and their respective closing tags.
      <br><br>
	</font></td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Quoting Other Messages</b></font>\&nbsp\;<img src="$imagesdir/quote2.gif" border="0" align="middle" alt='$txt{'260'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
To quote something that has already been posted, simply cut-and-paste the text you want to quote, and enclose it as follows\:
<blockquote>
  <font color="red">[quote]</font>To be or not to be...<br>
    That is the question!<font color="red">[/quote]</font>
</blockquote>
The <font color="red">[quote]</font> tags will automatically enclose the text in a identifiable "Quote" box.<br><br>
	<B>Quote:</B>
	<table bgcolor="$color{'bordercolor'}" class="bordercolor" cellspacing="1" width="90%">
	<tr>
	<td width="100%"><table cellpadding="2" cellspacing="0" class="quote" width="100%">
	<tr>
	<td width="100%">
	<font face="Arial,Helvetica" class="quote" size="1">
	To be or not to be...<br>That is the question!</font>
	</td>
	</tr>
	</table>
	</td>
	</tr>
	</table>
      <br>
	</td></tr>
      <tr>
        <td class="catbg" bgcolor="$color{'catbg'}"><font size="2" class="catbg"><b>Inserting Programming Code and Scripts</b></font>\&nbsp\;<img src="$imagesdir/code.gif" border="0" align="middle" alt='$txt{'259'}'></td>
      </tr>
      <tr><td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="top" align="left">
<font size="2">
If you want to post some programming source code, or perhaps some ASCII art, which would require a non-proportional font, you can use the <font color="red">[code]</font> tag to achieve this. For example\:
<blockquote>
  <font color="red">[code]</font><br>
    \&lt\;script language=\&quot\;Javascript\&quot\;\&gt\;<br>
    \&lt\;!--<br>
    alert(\&quot\;Hello world!\&quot\;)\;<br>
    //--\&gt\;<br>
    \&lt\;/script\&gt\;<br>
    <font color="red">[/code]</font>
</blockquote>
The <font color="red">[code]</font> tags will automatically enclose the text in a identifiable "Code" box.<br><br>
<B>Code:</B><table bgcolor="$color{'bordercolor'}" class="bordercolor" cellspacing="1" width="90%">
<tr><td>
<table cellpadding="2" cellspacing="0" class="code" width="100%">
<tr><td>
<font face="Courier New" class="code" size="1">
\&lt\;script language=\&quot\;Javascript\&quot\;\&gt\;<br>
\&lt\;!--<br>
alert(\&quot\;Hello world!\&quot\;)\;<br>
//--\&gt\;<br>
\&lt\;/script\&gt\;<br>
</font></td></tr></table></td></tr></table><br>
</td></tr></table></td></tr></table>~;
&template;
exit;
}


1;
